/* 

header file for ssrf_surface.c, for comments, see the source code

$Id: ssrf_surface.h,v 1.3 2004/03/10 22:53:38 becker Exp $

 */
#include <math.h>
#include <stdio.h>
#include <stdlib.h>

#include "gmt.h"

#define my_boolean unsigned char
/* 
   for SSRFPACK 
*/
/* use float precision routines */
#define SSRF_SINGLE_PRECISION	
/* include the header files with prototypes for 
   SSRF pack drivers */
#include "ssrf.h"
/* local helper routines */
void my_vecalloc(float **, int, char *);
void my_ivecalloc(int **, int, char *);
void my_vecrealloc(float **, int, char *);
void my_ivecrealloc(int **, int, char *);
void scale_vector(float *, float, int);
void copy_vector(float *, float *, int);

struct lay{
  float *lon,*lat,*f;		/* lon,lat,value arrays */
  float z,fmean,fmin,fmax;			/* depth */
  int n,nmin,nmax;			/* number of datapoints */
  
};
void read_data(struct lay **,int *, FILE *,my_boolean ,char *);
my_boolean geo_point_is_close(float ,float,float ,float ,float );

