/* ssrf.h */
/* auto_proto.h */
/* auto_proto.sgl.h */
/* driver.c */
/* linalg.c */
double vector_diff(double *, double *, int);
void zero_vector(double *, int);
void scale_vector(double *, double, int);
void scale_vector3d(double *, double);
void copy_vector(double *, double *, int);
void copy_3dvector(double *, double *);
void copy_3dmatrix(double *, double *);
void add_a_to_b_vector(double *, double *, int);
double vec3ddotp(double *, double *);
double norm3d(double *);
double max_vec(double *, int);
double max_abs_vec(double *, int);
void a_equals_b_vector(double *, double *, int);
void unity_matrix(double *, int);
/* misc.c */
void my_vecalloc(double **, int, char *);
void my_ivecalloc(int **, int, char *);
void my_vecrealloc(double **, int, char *);
void my_ivecrealloc(int **, int, char *);
void scale_vector(double *, double, int);
void copy_vector(double *, double *, int);
/* ssrf_driver.c */
void init_sp_structure(struct ssrf_par **);
void ssrf_driver(double *, double *, double *, double **, int *, double, double, double *, struct ssrf_par *, unsigned char, unsigned char, unsigned char, unsigned char);
void reshuffle(double *, double *, double *, double *, double *, double *, int);
double ran1(long *);
void indexx(int, double *, int *);
void reassign_vector(double *, int *, int);
double ssrf_norm(double *, int);
unsigned long ssrf_inorm(int *, int);
void ssrf_print_parameters(struct ssrf_par *, int, FILE *);
void ssrf_hypot_(double *, double *, double *);
void ssrf_norm3d_(double *, double *, double *, double *);
void ssrf_snhcsh_(double *, double *, double *, double *);
unsigned char ssrf_nodes_are_close(double, double, double, double, double, double, double);
void ssrf_delete_node(int, double **, double **, double **, double **, double **, double **, int *);
double ssrf_sqr(double);
