/* ssrf.h */
/* auto_proto.h */
/* auto_proto.sgl.h */
/* driver.c */
/* linalg.c */
float vector_diff(float *, float *, int);
void zero_vector(float *, int);
void scale_vector(float *, float, int);
void scale_vector3d(float *, float);
void copy_vector(float *, float *, int);
void copy_3dvector(float *, float *);
void copy_3dmatrix(float *, float *);
void add_a_to_b_vector(float *, float *, int);
float vec3ddotp(float *, float *);
float norm3d(float *);
float max_vec(float *, int);
float max_abs_vec(float *, int);
void a_equals_b_vector(float *, float *, int);
void unity_matrix(float *, int);
/* misc.c */
void my_vecalloc(float **, int, char *);
void my_ivecalloc(int **, int, char *);
void my_vecrealloc(float **, int, char *);
void my_ivecrealloc(int **, int, char *);
void scale_vector(float *, float, int);
void copy_vector(float *, float *, int);
/* ssrf_driver.c */
void init_sp_structure(struct ssrf_par **);
void ssrf_driver(float *, float *, float *, float **, int *, float, float, float *, struct ssrf_par *, unsigned char, unsigned char, unsigned char, unsigned char);
void reshuffle(float *, float *, float *, float *, float *, float *, int);
double ran1(long *);
void indexx(int, float *, int *);
void reassign_vector(float *, int *, int);
float ssrf_norm(float *, int);
unsigned long ssrf_inorm(int *, int);
void ssrf_print_parameters(struct ssrf_par *, int, FILE *);
void ssrf_hypot_(float *, float *, float *);
void ssrf_norm3d_(float *, float *, float *, float *);
void ssrf_snhcsh_(float *, float *, float *, float *);
unsigned char ssrf_nodes_are_close(float, float, float, float, float, float, float);
void ssrf_delete_node(int, float **, float **, float **, float **, float **, float **, int *);
float ssrf_sqr(float);
